Get all applications
https://api.propexo.com/v1/applications/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external applicant id
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo property id
The Propexo integration id
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe integration vendor for the applicant.
Response
Successful response
- Array [
- ]
- Array [
- Array [
- ]
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the application
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| GET /Contacts |
88The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
| Method |
|---|
| GET /Contacts |
1The external ID of the property from the integration vendor
| Method |
|---|
| GET /Contacts |
1The external ID of the unit from the integration vendor
| Method |
|---|
| GET /Contacts |
123DEPRECATED. Use status_raw and status_normalized on the applicants array
Deprecated in favor of status_raw and status_normalized on applicants_to_applications
| Method |
|---|
| GET /Contacts |
custom_data object | nullrequired
applicants object[]required
Applicants associated with the application
The Propexo unique identifier for the applicant
| Method |
|---|
| GET /Contacts |
clx0appl0000000000000005eThe Propexo unique identifier for the application
| Method |
|---|
| GET /Contacts |
clx0appn0000000000000006fDEPRECATED. Use status_raw
| Method |
|---|
| GET /Contacts |
The raw status associated with the applicant
| Method |
|---|
| GET /Contacts |
ProspectThe normalized status associated with the applicant. Confirm these derived values before using them in production.
| Method |
|---|
| GET /Contacts |
PENDINGcustom_data object | null
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RENTMANAGERAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTVINERESMANYARDIYARDI_RESTRENTMANAGERThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit
| Method |
|---|
| GET /Contacts |
testintegration:1:1:123Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/applications/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "88",
"x_location_id": "1",
"x_property_id": "1",
"x_unit_id": "123",
"custom_data": "Unknown Type: object,null",
"applicants": [
{
"applicant_id": "clx0appl0000000000000005e",
"application_id": "clx0appn0000000000000006f",
"status_raw": "Prospect",
"status_normalized": "PENDING",
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTMANAGER",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "testintegration:1:1:123"
}
]
}